Bug 864858 - libreoffice 3.5 calc documents with more than 256 sheets are not supported
libreoffice 3.5 calc documents with more than 256 sheets are not supported
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 05:56 EDT by Armands Liepins
Modified: 2012-11-18 21:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:29:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Armands Liepins 2012-10-10 05:56:12 EDT
Description of problem:

According http://wiki.documentfoundation.org/ReleaseNotes/3.5
"Supports 10000 sheets"
but when I tried to open the document with 380 sheets, only the first 256 sheets were shown, sheets beyond 256 were empty.
Status line shows "sheet 1/380"

Version-Release number of selected component (if applicable):

libreoffice-calc-3.5.6.2-5.fc17.i686
Comment 1 Eike Rathke 2012-10-10 08:05:38 EDT
Which file format (ods, xls, xlsx, ...) was it?
Comment 2 Armands Liepins 2012-10-11 02:25:29 EDT
xlsx
Comment 3 Eike Rathke 2012-10-11 09:30:49 EDT
Fix available in upstream master http://cgit.freedesktop.org/libreoffice/core/commit/?id=458d68fffa883bc706638299e5a5b2d1399beb0d
Comment 5 Armands Liepins 2012-10-11 10:31:11 EDT
Nice, thanks! Is there any chance to get it in 3.5.7.2?
Comment 6 Eike Rathke 2012-10-11 14:57:50 EDT
Upstream probably won't release another 3.5.7 (.3 it would be then), but we could add the patch for 3.5.7.2-3 or some such.
Comment 7 Fedora Update System 2012-11-12 15:07:53 EST
libreoffice-3.5.7.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-6.fc17
Comment 8 Fedora Update System 2012-11-14 21:40:18 EST
Package libreoffice-3.5.7.2-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18238/libreoffice-3.5.7.2-6.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-11-18 21:29:34 EST
libreoffice-3.5.7.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.